Subject: [Fot] Crew Passes K Cup

From: [email-masked]
Date: Tue, 20 Aug 2013 13:47:04 -0400 (EDT)

Listers, 

I'm running the #144 TR4 "The Black Pearl" at the RMVR event in Hasting the weekend before the K Cup. My budget precludes towing it to Road America and competing. However my "pit crew" of one and I are driving there to spectate and steal beer. 

I was depending on some of the RMVR Triumph drivers who were planning to run the K Cup to score two crew passes. For various and a sundry reasons only Jim Gray is coming from RMVR and his are spoken for so I'm in need of two crew passes for us. 

In trade you will be provided questionable advice, the need to guard your beer and good karma. 

Thanks, 

Dan Forgey 
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive